# Scheduled Report Rule List

GET /platform/scheduled-reports/rules: Lists scheduled report rules.

Source: https://docs.deepinfo.com/reference/platform/scheduled-report-rule-list/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/platform/scheduled-reports/rules`

Lists scheduled report rules.

## Authentication

Send your API key in the `apikey` request header.

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `page_size` | Optional | Min `25`, max `100`. Default `100`. | `25` |
| `ordering` | Optional |  |  |
| `page` | Optional | Min `1`, max `800`. Default `1`. | `1` |
| `name__icontains` | Optional |  |  |
| `type__in` | Optional |  |  |
| `type__nin` | Optional |  |  |
| `frequency__in` | Optional |  |  |
| `frequency__nin` | Optional |  |  |
| `members__in` | Optional |  |  |
| `members__nin` | Optional |  |  |
| `last_sent_date__lte` | Optional |  |  |
| `last_sent_date__gte` | Optional |  |  |
| `next_send_date__lte` | Optional |  |  |
| `next_send_date__gte` | Optional |  |  |
| `created_at__lte` | Optional |  |  |
| `created_at__gte` | Optional |  |  |
| `updated_at__lte` | Optional |  |  |
| `updated_at__gte` | Optional |  |  |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `page` | integer |  |
| `page_size` | integer |  |
| `result_count` | integer |  |
| `results` | array of object |  |
| `results[].id` | string |  |
| `results[].name` | string |  |
| `results[].type` | string | One of `easm_executive_summary`, `easm_weekly_progress`, `easm_asset_detail`, `easm_vulnerability_detail`, `easm_vulnerability_overview`, `easm_issue_overview`, `easm_issue_detail`, `cti_email_breach_summary` |
| `results[].type_context` | object |  |
| `results[].frequency` | string | One of `daily`, `weekly`, `monthly` |
| `results[].members` | array of string |  |
| `results[].last_sent_date` | string | date-time |
| `results[].next_send_date` | string | date-time |
| `results[].created_at` | string | date-time |
| `results[].updated_at` | string | date-time |

Paginated. See [Getting Started → Pagination](/getting-started/pagination/).

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `page` | number |
| `page_size` | number |
| `result_count` | number |
| `results` | array |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/platform/scheduled-reports/rules?page_size=25' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 0,
  "results": []
}
```

### 400 · Invalid Parameter (invalid page=0)

```bash
curl 'https://api.deepinfo.com/v1/platform/scheduled-reports/rules?page=0' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "page",
      "details": [
        "Ensure this value is greater than or equal to 1."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
